Page MenuHomeFreeBSD

[NEW PORT] audio/pulseeffects: Audio effects for Pulseaudio applications
ClosedPublic

Authored by daniel_shafer.cc on Dec 30 2018, 11:58 PM.

Details

Reviewers
kwm
Commits
rP492126: Add pulseeffects
Summary
[NEW PORT] audio/pulseeffects: Audio effects for Pulseaudio applications

Limiter, compressor, reverberation, equalizer and 
auto volume effects for Pulseaudio applications

WWW: https://github.com/wwmm/pulseeffects

PR: 234540
Submitted by: Daniel Shafer <daniel shafer cc>
Differential_Revision: D18695

Version 4.4.3 was specifically updated to fix build issues with FreeBSD.
I have been running 4.4.1 for weeks without issues and 4.4.3 works great as well so far.

As always, let me know if there is anything I can do to improve this port.

Test Plan
  • portlint: WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support. 0 fatal errors and 1 warning found. (gettext is a hard requirement for the application)
  • testport: OK (poudriere: 12amd64 tested)
  • maketest: NA

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

After some collaboration with the developer and another person I was able to clean up
unnecessary depends. Removed swh depend and moved the plugins to RUN_DEPENDS only.
Not needed for building.

swills added a subscriber: swills.Dec 31 2018, 6:05 PM
daniel_shafer.cc edited the summary of this revision. (Show Details)Jan 1 2019, 7:05 AM
daniel_shafer.cc edited the test plan for this revision. (Show Details)
daniel_shafer.cc edited the test plan for this revision. (Show Details)

Updated pulseeffects to version 4.4.7

kwm added a comment.Feb 4 2019, 10:31 AM

(<unknown>:75210): pulseeffects-WARNING **: 11:24:25.870: delay plugin was not found!

This plugin is optional, I'm not sure we have that lv2 plugin in ports. Just want to make sure your aware of this.

audio/pulseeffects/Makefile
25 ↗(On Diff #53567)

This is not needed I think, USE_GSTREAMER1 already pulls in it.

44 ↗(On Diff #53567)

Can you move the line break '\' so it within the 80 char limit of default terminals for readablity?

I think you can drop glib20, glibmm and gtk30 because gtkmm30 requires them already. And isn't likely to change.

95 ↗(On Diff #53567)

Can you add a '\' around char 75, so the line doesn't run off the normal 80 char terminals? And do the same for the RLN line below, so the second argument is on the next line. It improves readablity. Ofc some lines this is not possible like the GLIB_SCHEMAS above.

* Updated to version 4.4.7
* Addressed issues with line length.
* Added audio/lsp-plugins-lv2 as a dependency for new delay feature
* Removed unnecessary USE_GNOME items
This revision was not accepted when it landed; it landed in state Needs Review.Feb 4 2019, 12:59 PM
Closed by commit rP492126: Add pulseeffects (authored by kwm). · Explain Why
This revision was automatically updated to reflect the committed changes.